Bug 737865 - Accepting invitation of event in Evolution doesn't change its state in Zimbra
Summary: Accepting invitation of event in Evolution doesn't change its state in Zimbra
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution
Version: 6.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: alpha
: 6.3
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 670971
TreeView+ depends on / blocked
 
Reported: 2011-09-13 10:03 UTC by David Jaša
Modified: 2014-01-02 11:13 UTC (History)
5 users (show)

Fixed In Version: evolution-2.32.3-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-21 05:03:38 UTC


Attachments (Terms of Use)
RHEL 2.28 dump (5.43 KB, text/plain)
2011-09-20 09:21 UTC, David Jaša
no flags Details
F15 3.0.3 dump (5.61 KB, text/plain)
2011-09-20 09:24 UTC, David Jaša
no flags Details
proposed evo patch (734 bytes, patch)
2011-09-21 19:11 UTC, Milan Crha
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1540 normal SHIPPED_LIVE Low: evolution security, bug fix, and enhancement update 2013-11-21 00:40:51 UTC

Description David Jaša 2011-09-13 10:03:45 UTC
Description of problem:
SSIA

Version-Release number of selected component (if applicable):
evolution-data-server-2.28.3-15.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. get an invitation via email
2. accept it into CalDAV calendar
3.
  
Actual results:
when looking into the calendar via web UI, it's still in New state

Expected results:
event state changes to Accepted

Additional info:

Comment 3 David Jaša 2011-09-20 09:21:36 UTC
Created attachment 523991 [details]
RHEL 2.28 dump

Comment 4 David Jaša 2011-09-20 09:24:18 UTC
Created attachment 523992 [details]
F15 3.0.3 dump

Comment 5 Milan Crha 2011-09-21 19:11:35 UTC
Created attachment 524264 [details]
proposed evo patch

for evolution;

Evolution 3.0.3 provides a user email entry for a CalDAV calendar, which is used to add the attendee in a response for cases when it's missing. The 2.28.3 doesn't have it, and it adds an empty attendee with no address, which seems to be filtered out before the component is put through CalDAV backend to the server, as mine tests shows this empty attendee being added into the event.

This is the most I can do with 2.28.3 unless breaking too many things around CalDAV calendar setup. This ensures that there will never be used the empty address, but the default mail address is used for cases when the attendee wasn't found. The right fix will come to RHEL7.

Comment 7 Suzanne Yeghiayan 2012-02-14 23:15:19 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 8 David Jaša 2012-02-15 09:45:25 UTC
Hi Suzanne, I ask you to revisit the decision as patch is ready and it pre-tested by me (I use scratch build of evolution with this patch applied without problems). Thank you

Comment 10 RHEL Product and Program Management 2012-12-14 07:08:30 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 20 errata-xmlrpc 2013-11-21 05:03:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html


Note You need to log in before you can comment on or make changes to this bug.